Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.apps.Tour
Class DemoInterest

    java.lang.Object
      |
      +--context.apps.Tour.DemoInterest

public class DemoInterest
extends java.lang.Object

Field Summary
`static java.lang.String` | `DEMO_INTEREST`
`static java.lang.String` | `DEMO_NAME`
`static java.lang.String` | `INTEREST_LEVEL`

Constructor Summary
`DemoInterest(AttributeNameValues atts)`
`DemoInterest(java.lang.String demo, java.lang.String interest)` Basic constructor that creates a DemoInterest object.

Method Summary
`java.lang.String` | `getDemo()`
`java.lang.String` | `getInterest()`
`void` | `setDemo(java.lang.String demo)`
`void` | `setInterest(java.lang.String interest)`
`AttributeNameValues` | `toAttributeNameValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEMO_NAME

    public static final java.lang.String DEMO_NAME

### INTEREST_LEVEL

    public static final java.lang.String INTEREST_LEVEL

### DEMO_INTEREST

    public static final java.lang.String DEMO_INTEREST

Constructor Detail

### DemoInterest

    public DemoInterest(java.lang.String demo,
                        java.lang.String interest)

  Basic constructor that creates a DemoInterest object.

### DemoInterest

    public DemoInterest(AttributeNameValues atts)

Method Detail

### getInterest

    public java.lang.String getInterest()

### getDemo

    public java.lang.String getDemo()

### setInterest

    public void setInterest(java.lang.String interest)

### setDemo

    public void setDemo(java.lang.String demo)

### toAttributeNameValues

    public AttributeNameValues toAttributeNameValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD